Subject: Re: bug#62720: 29.0.60; Not easy at all to upgrade :core packages like Eglot

From: João Távora <[email-masked]>
Date: Wed, 12 Apr 2023 10:18:08 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: João Távora <[email-masked]>
>> Date: Tue, 11 Apr 2023 21:28:26 +0100
>> Cc: "Philip K." <[email-masked]>, Stefan Monnier <[email-masked]>, 
>> 	Lars Ingebrigtsen <[email-masked]>, [email-masked]
>> 
>>  Btw, why, when I do "M-x list-packages RET", I see Eglot in red with
>>  Status "incompat"?  If I press RET on its name, I see
>> 
>>    Package eglot is incompatible.
>> 
>>         Status: Incompatible because it depends on uninstallable packages.
>> 
>>  Why is that?
>> 
>> No idea. Is this with our without my patch?
>
> Without.

I can't reproduce this in a recent emacs-29.  Here's what I start Emacs
with

HOME=`mktemp -d` && src/emacs -Q -f list-packages

I get:

     Status: Available from gnu -- [Install]

João